package com.care.outcall.service;


import com.care.outcall.entity.KoalaLogDomain;

import java.util.Map;

/**
 * @author stw
 * @version 2.7.0 创建于 2019/7/15
 **/
public interface KoalaOutCallService {
    /**
     * 考拉坐席基本信息接口
     *
     * @return 返回 坐席信息
     */
    Map<String, String> getAgentInfo(String userId) throws Exception;

    /**
     * 保存外呼日志
     * @param koalaLogDomain
     * @throws Exception
     */
    void addOptLog(KoalaLogDomain koalaLogDomain) throws Exception;

    /**
     * 获取sessionId
     * @param koalaLogDomain
     * @return
     * @throws Exception
     */
    String getSessionId(KoalaLogDomain koalaLogDomain) throws Exception;

}
